body,
span,
p,
a,
button,
input,
ul,
li,
button:focus {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    text-decoration: none;
    background: inherit;
    font-family: inherit;
    color: inherit;
    border: inherit;
    margin: inherit;
    padding: inherit;
    height: inherit;
    outline: none;
}

body {
    background: var(--c1);
    color: var(--c4);
    font-family: sans-serif;
}

button:hover {
    cursor: pointer;
}

:root {
    --dark-blue: #1B222B;
    --black: #0D0D0D;
    --blue: rgb(0, 100, 162);
    --off-blue: #252e3b;
    --white: white;
    --green: #92D050;
    --red: #FF2525;
    --grey: #d3d3d3;
    --light-grey: #7F7F7F;
    --light-blue: #CDF2FF;
    --m1: 20px;
    --m2: 40px;
    --c1: var(--dark-blue);
    --c2: var(--black);
    --c3: var(--blue);
    --c4: var(--white);
    --c5: var(--green);
    --c6: var(--red);
    --c7: var(--grey);
    --c8: var(--light-grey);
    --c9: var(--light-blue);
    --c10: var(--off-blue);
    --c11: #9da4c7;
    --c12: #dca2ff;
    --c12: #cddeff;
    --s0: 1.1rem;
    --s1: 1rem;
    --s2: 0.9rem;
    --s3: 0.8rem;
    --s4: 0.7rem;
}

#pop {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    background: var(--c8);
    opacity: 0.85;
    z-index: 5;
}

.pop-main {
    background: var(--c1);
    opacity: 1;
    z-index: 5;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translatey(-50%) translatex(-50%) rotateY(0deg);
    width: 80%;
    max-width: 300px;
    white-space: nowrap;
    border-radius: 6px;
    padding: 10px;
    box-shadow: 0 0 20px var(--c2);
}

.premium-pop-p {
    text-align: center;
    white-space: normal;
    font-size: var(--s2);
    line-height: 1.4;
    margin: 10px 10px;
}

.main-pop-t {
    display: grid;
    grid-template-columns: 1fr auto 1fr;
}

.main-pop-t-l {
    display: grid;
    justify-content: start;
    align-items: start;
}

.main-pop-t-l span {
    transform: translateY(-4px);
}

.main-pop-t-c {
    text-align: center;
    display: grid;
    justify-content: center;
    font-size: var(--s1);
    font-weight: bold;
    white-space: normal;
}

.list-sec-wr {
    background: #12163f;
    background: #0a0c23;
    margin: 0;
    border-radius: 0;
    margin-top: 20px;
    border-top: solid 1px black;
    border-bottom: solid 1px black;
    box-shadow: 0 0 5px white;
}

@media screen and (min-width: 820px) {
    .list-sec-wr {
        margin: 20px 10px 0 10px;
        border-radius: 6px;
        /* border-top-left-radius: 6px; */
        /* border-top-right-radius: 6px; */
    }
}

.list-sec-title-wr {
    display: grid;
    align-content: start;
    align-items: start;
    grid-template-columns: min-content auto min-content min-content;
    /* justify-content: space-between; */
    margin: 0 20px;
    padding-top: 10px;
    border: none;
}

.list-sec-title {
    font-size: var(--s3);
    color: white;
    color: #e0e0e0;
    font-weight: bold;
    margin: 0;
    padding: 0;
    line-height: 1.5;
}

.remove-icon-btn,
.remove-icon-btn:active,
.remove-icon-btn:focus,
.remove-icon-btn:hover {
    margin: 0;
    padding: 0;
    margin-right: 8px;
}

.remove-icon {
    margin: 0;
    padding: 0;
    width: 1rem;
    fill: #ff000099;
    cursor: pointer;
}

.remove-icon:hover {
    fill: #ff0000;
}

.list-wr {
    display: flex;
    align-content: center;
    align-items: center;
    column-gap: 20px;
    padding: 8px 20px 10px 20px;
    border: none;
    white-space: nowrap;
    overflow-y: hidden;
    overflow-x: auto;
    -ms-overflow-style: none;
    scrollbar-color: var(--c9) transparent !important;
    scrollbar-width: thin !important;
}

.list-wr::-webkit-scrollbar,
.list-wr3::-webkit-scrollbar {
    height: 4px;
    width: 6px;
    background: transparent;
    /* border-radius: 6px; */
}

.list-wr::-webkit-scrollbar-track:horizontal,
.list-wr3::-webkit-scrollbar-track:horizontal {
    background: transparent;
    /* border-radius: 6px; */
}

.list-wr::-webkit-scrollbar-thumb:horizontal,
.list-wr3::-webkit-scrollbar-thumb:horizontal {
    background: var(--c9);
    /* border-radius: 6px; */
}

.ticker-basic-wr {
    padding: 3px 5px;
    /* background: #000e54; */
    background: #171C4F;
    border-radius: 4px;
    border: solid 1px white;
    cursor: pointer;
    width: min-content;
}
.ticker-basic-line {
    display: grid;
    grid-template-columns: auto min-content;
    align-content: center;
    align-items: center;
}


.ticker-basic {
    padding: 3px 5px;
    /* background: #000e54; */
    background: #171C4F;
    border-radius: 4px;
    display: grid;
    grid-template-columns: auto min-content;
    border: solid 1px white;
    align-content: center;
    align-items: center;
    cursor: pointer;
    width: min-content;
}

.ticker-basic-ticker,
.ticker-basic2-ticker {
    font-size: var(--s3);
    color: white;
    font-weight: bold;
    border: none;
    padding: 2px;
    margin: 0;
}

.ticker-basic-move,
.ticker-basic2-move {
    font-size: var(--s4);
    color: var(--c5);
    border: none;
    padding: 2px;
    margin: 0;
    background: transparent;
}

.see-full-list {
    color: var(--c9);
    text-decoration: underline;
    padding: 0;
    margin: 0;
    font-size: var(--s3);
    white-space: nowrap;
}

.ticker-basic2,
.ticker-basic2:active,
.ticker-basic2:focus {
    padding: 3px 5px;
    /* background: #000e54; */
    background: #171C4F;
    border-radius: 4px;
    border: solid 1px white;
    cursor: pointer;
    margin: 0;
    width: min-content;
}

.ticker-basic2-wr {
    display: grid;
    grid-template-columns: min-content auto;
    align-content: center;
    align-items: center;
}

.ticker-basic2-bonus {
    font-size: var(--s4);
    color: lightgray;
    border: none;
    margin: 0;
    padding: 0;
    padding: 2px;
    margin: 0;
}

.down {
    color: var(--c6);
}

#news-sentiment-sec {
    background: #122062;
    display: grid;
    justify-content: center;
    align-content: center;
    border-radius: 8px;
    border: solid 1px white;
    margin: 0;
}

#news-sentiment-sec-title {
    text-align: center;
    margin: 0;
    padding: 0;
    margin-bottom: 10px;
    padding-top: 20px;
    border: none;
    font-size: var(--s1);
    font-weight: bold;
    box-shadow: none;
}

#news-sec-title,
#lists-sec-title {
    font-size: var(--s1);
    font-weight: bold;
    text-align: center;
    border: none;
    border-bottom: solid 1px white;
    box-shadow: none;
    margin: 0;
    padding: 0;
    padding-top: 20px;
    border: none;
    text-align: left;
    padding-left: 10px;
    margin-bottom: 10px;
}

#news-sec-title-wr {
    position: sticky;
    top: 50px;
    /* box-shadow: 0 0 5px white; */
    /* border-top: solid 1px black; */
    background: #11163f;
    background: #171C4F;
    border-bottom: solid 1px white;
    margin: 0;
    /* margin-top: 60px; */
    background: #001166;
}

@media screen and (min-width: 745px) {
    #news-sec-title-wr {
        top: 86px;
    }
}

#news-sec {
    overflow: hidden;
    overflow-x: hidden;
    overflow-y: auto;
    -ms-overflow-style: none;
    scrollbar-color: var(--c9) transparent !important;
    scrollbar-width: thin !important;
}

.recentNews-wr {
    display: grid;
    grid-template-columns: auto min-content;
    column-gap: 10px;
    justify-content: start;
    justify-items: start;
    align-content: center;
    align-items: center;
}

.recentNews-icon {
    background: #f5caf5;
    background: var(--c12);
    /* margin: 3px 0; */
    margin: 5px;
    color: #00308a;
    font-size: var(--s4);
    border-radius: 2px;
    padding: 2px 10px;
    font-weight: bold;
    white-space: nowrap;
    display: inline-block;
}

.bullish-icon,
.bullish-icon:active,
.bullish-icon:hover,
.bullish-icon:focus {
    margin: 5px;
    color: #00308a;
    font-size: var(--s4);
    border-radius: 2px;
    padding: 2px 10px;
    font-weight: bold;
    white-space: nowrap;
    display: inline-block;
    background: #83e794;
}

.bearish-icon,
.bearish-icon:active,
.bearish-icon:hover,
.bearish-icon:focus {
    margin: 5px;
    color: #00308a;
    font-size: var(--s4);
    border-radius: 2px;
    padding: 2px 10px;
    font-weight: bold;
    white-space: nowrap;
    display: inline-block;
    background: #f16282;
}

.bullish-icon-off {
    background: none;
    color: #83e794;
    border: solid 1px #83e794;
}

.bullish-icon-off:hover,
.bullish-icon-on {
    background: #83e794;
    color: #00308a;
    border: solid 1px #83e794;
}

.bearish-icon-off {
    background: none;
    color: #f16282;
    border: solid 1px #f16282;
}

.bearish-icon-off:hover,
.bearish-icon-on {
    background: #f16282;
    color: #00308a;
    border: solid 1px #f16282;
}

.neutral-icon-off {
    background: none;
    color: #d2d2d2;
    border: solid 1px #d2d2d2;
}

.neutral-icon-off:hover,
.neutral-icon-on {
    background: #d2d2d2;
    color: #00308a;
    border: solid 1px #d2d2d2;
}

.news-toggle {
    cursor: pointer;
    padding: 5px 10px;
}

.article {
    width: 100%;
    display: grid;
    grid-template-columns: auto min-content;
    white-space: nowrap;
    margin: 5px 10px;
    align-content: center;
    align-items: center;
    column-gap: 10px;
    display: none;
}

.article-title {
    overflow: hidden;
    text-overflow: ellipsis;
    color: white;
}

.article-writter-time {
    font-size: var(--s4);
}

.article2-wr {
    width: calc(100% - 20px);
    padding: 20px 10px;
    border-bottom: solid 1px white;
    background: #00308a;
    /* background: #11163f; */
    display: grid;
    justify-content: center;
    justify-items: center;
    text-align: left;
}

.article2-wr:hover {
    background: #3f81ff;
}

.article2 {
    width: 500px;
    max-width: 45vw;
}

.article2-title {
    font-weight: bold;
    font-size: var(--s2);
    border: none;
    margin: 0;
    padding: 0;
    color: white;
}

.article2-writter-time {
    margin: 0;
    padding: 0;
    font-size: var(--s3);
    border: none;
    color: #d2d2d2;
    margin-bottom: 5px;
    line-height: 1.5;
}

.article2-tickers {
    margin: 0;
    padding: 0;
    font-size: var(--s3);
    border: none;
    color: #d2d2d2;
    margin-top: 5px;
    margin-left: -3px;
    line-height: 1.5;
}

.tagsNews-icon,
.tagsNews-icon:active,
.tagsNews-icon:hover,
.tagsNews-icon:focus {
    background: #f5caf5;
    margin: 5px 5px 5px 0;
    color: #00308a;
    font-size: var(--s4);
    border-radius: 2px;
    padding: 2px 10px;
    font-weight: bold;
    white-space: nowrap;
    display: inline-block;
    z-index: 1;
}

.tag-icon-off {
    background: none;
    color: #f5caf5;
    border: solid 1px #f5caf5;
}

.tag-icon-off:hover,
.tag-icon-off:active,
.tag-icon-off:focus,
.tag-icon-on {
    background: #f5caf5;
    color: #00308a;
    border: solid 1px #f5caf5;
}

.asset-icon-off {
    background: none;
    color: var(--c12);
    border: solid 1px var(--c12);
}

.asset-icon-off:hover,
.asset-icon-on {
    background: var(--c12);
    color: #00308a;
    border: solid 1px var(--c12);
}

.footer-dummy {
    height: 65px;
}

@media screen and (min-width: 745px) {
    .footer-dummy {
        height: 5px;
    }
}

.filters-wr {
    text-align: center;
    border-bottom: none;
    display: grid;
    grid-template-columns: repeat(3, auto);
    justify-content: start;
    align-content: center;
    align-items: center;
    padding: 0;
}

.filters-wr {
    overflow-y: hidden;
    overflow-x: auto;
    -ms-overflow-style: none;
    scrollbar-color: var(--c9) transparent !important;
    scrollbar-width: thin !important;
}

.filters-wr::-webkit-scrollbar {
    height: 4px;
    width: 6px;
    background: transparent;
}

.filters-wr::-webkit-scrollbar-track:horizontal {
    background: transparent;
}

.filters-wr::-webkit-scrollbar-thumb:horizontal {
    background: var(--c9);
}

.filters-wr-big {
    display: grid;
    grid-template-columns: min-content auto;
    align-content: center;
    align-items: center;
    padding: 0 10px;
    max-width: calc(100vw - 20px);
}

.filters-title {
    padding: 0;
    margin-right: 0px;
    font-size: var(--s3);
}

#new-news-alert {
    background: var(--c9);
    color: var(--c1);
    font-size: var(--s3);
    font-weight: bold;
    opacity: 1;
    z-index: 2;
    position: fixed;
    bottom: 70px;
    left: 20px;
    width: 40%;
    max-width: 300px;
    text-align: center;
    padding: 10px 5px;
    border-radius: 4px;
    box-shadow: 0 0 8px black;
    height: min-content;
}

@media screen and (min-width: 745px) {
    #new-news-alert {
        bottom: 20px;
    }
}

.main-pop-o {
    background: var(--c9);
    font-size: var(--s1);
    font-weight: bold;
    text-align: center;
    margin: 10px;
    color: var(--c1);
    border-radius: 3px;
    display: grid;
    align-content: center;
    white-space: normal;
    cursor: pointer;
}

#add-filters-scrollable {
    overflow-y: auto;
    overflow-x: hidden;
    max-height: 60vh;
    -ms-overflow-style: none;
    margin-bottom: 15px;
    scrollbar-color: var(--c9) transparent !important;
    scrollbar-width: thin !important;
}

#add-filters-scrollable::-webkit-scrollbar {
    height: 6px;
    width: 4px;
    background: transparent;
}

#add-filters-scrollable::-webkit-scrollbar-track:vertical {
    background: transparent;
}

#add-filters-scrollable::-webkit-scrollbar-thumb:vertical {
    background: var(--c9);
}

.add-filters-but-l {
    white-space: normal;
    text-align: left;
}

.add-filters-but-l-sub {
    margin: 2px 0;
    margin-left: 10px;
    white-space: normal;
}

.second-layer {
    margin-left: 10px;
}

.third-layer {
    margin-left: 15px;
}

.add-filters-but-r-sub,
.add-filters-but-r-sub:active,
.add-filters-but-r-sub:focus {
    color: #71DAFF;
    text-align: right;
}

.add-filters-but-r {
    font-size: 1.5rem;
}

.remove-color,
.remove-color:active,
.remove-color:focus {
    color: #ff8f9c;
}

.add-filters-but-sub,
.add-filters-but-sub:focus {
    display: grid;
    grid-template-columns: auto min-content;
    grid-template-columns: calc(100% - 90px) 90px;
    justify-content: space-between;
    align-content: center;
    align-items: center;
    width: 100%;
    margin-bottom: 3px;
    font-size: var(--s2);
}

@media screen and (max-width: 335px) {

    .add-filters-but-sub,
    .add-filters-but-sub:focus {
        font-size: var(--s2);
    }
}

.add-filters-o {
    display: grid;
    justify-content: stretch;
    justify-items: center;
    align-content: center;
    margin: 0px -10px;
    padding: 0px 15px;
    font-size: var(--s1);
    border-bottom: solid 1px var(--c8);
}

.add-filters-o div:nth-child(1) {
    width: 100%;
}

.add-filters-o:nth-child(1) {
    border-top: solid 1px var(--c8);
}

.add-filters-content {
    padding-bottom: 6px;
}

#add-filters-t-c {
    color: #71DAFF;
    font-size: var(--s0);
    text-align: left;
    justify-self: start;
    white-space: nowrap;
    margin-left: 5px;
    margin-bottom: 10px;
}

#add-filters {
    background: #191d45;
}

#add-filters-close {
    padding: 10px;
    margin: 0;
    background: var(--c9);
    font-size: var(--s1);
    color: #364457;
    color: #202854;
    font-weight: bold;
    border-radius: 3px;
    width: 100%;
    margin-top: 20px;
}

#add-filters-close {
    margin-top: -5px;
}

.add-filters-but,
.add-filters-but:focus {
    display: grid;
    grid-template-columns: calc(100% - 40px) 40px;
    justify-content: space-between;
    align-content: center;
    align-items: center;
    width: 100%;
    font-size: var(--s2);
}

.new-tag {
    color: #00ffe5;
    margin: 0;
    padding: 0;
    font-weight: bold;
    font-size: var(--s3);
}

.suggested-list-wr {
    display: grid;
    grid-template-columns: min-content auto;
    align-content: center;
    align-items: center;
    background: #0a0c23;
    /* box-shadow: 0 0 5px white; */
    border-bottom: solid 1px white;
    border-top: solid 1px white;
    padding: 5px 0;
}

.suggested-list-wr2 {
    max-width: 100%;
    display: grid;
    grid-template-columns: repeat(5, min-content);
    column-gap: 15px;
    white-space: nowrap;
    overflow-x: auto;
    -ms-overflow-style: none;
    scrollbar-color: var(--c9) transparent !important;
    scrollbar-width: thin !important;
    align-content: center;
    align-items: center;
    padding: 5px;
}

.suggested-list-wr2::-webkit-scrollbar {
    height: 6px;
    width: 4px;
    background: transparent;
}

.suggested-list-wr2::-webkit-scrollbar-track:horizontal {
    background: transparent;
}

.suggested-list-wr2::-webkit-scrollbar-thumb:horizontal {
    background: var(--c9);
}

.suggested-list,
.suggested-list:active,
.suggested-list:focus {
    color: var(--c9);
    font-size: var(--s3);
    margin: 0;
    padding: 0;
    padding-bottom: 1px;
    border-bottom: solid 2px var(--c9);
}

.main-container {
    display: grid;
    grid-template-columns: 50% 50%;
}

.main-container-news {
    border-left: solid 2px white;
}

#news-sec {
    overflow-y: auto;
    height: calc(100vh - 255px);
    max-height: calc(100vh - 255px);
    -ms-overflow-style: none;
    scrollbar-color: var(--c9) #00308a !important;
    scrollbar-width: thin !important;
}

#news-sec::-webkit-scrollbar {
    height: 6px;
    width: 4px;
    background: #00308a;
}

#news-sec::-webkit-scrollbar-track:vertical {
    background: #00308a;
}

#news-sec::-webkit-scrollbar-thumb:vertical {
    background: var(--c9);
}

#hold-lists {
    overflow-y: auto;
    height: calc(100vh - 210px);
    max-height: calc(100vh - 210px);
    -ms-overflow-style: none;
    scrollbar-color: var(--c9) transparent !important;
    scrollbar-width: thin !important;
    margin: 0;
    padding-bottom: 10px;
}

#hold-lists::-webkit-scrollbar {
    height: 6px;
    width: 4px;
    background: transparent;
}

#hold-lists::-webkit-scrollbar-track:vertical {
    background: transparent;
}

#hold-lists::-webkit-scrollbar-thumb:vertical {
    background: var(--c9);
}

@media screen and (max-width: 745px) {
    #hold-lists {
        height: unset;
        max-height: unset;
    }
    #news-sec {
        height: unset;
        max-height: unset;
    }
    .main-container {
        display: grid;
        grid-template-columns: 100%;
    }
    .article2 {
        max-width: 90vw;
    }
    .main-container-news {
        margin-top: 50px;
        border-left: none;
    }
    #news-sec-title {
        border-top: solid 2px white;
    }
    #expandCollapseWr {
        display: none;
    }
}
.empty-watchlist {
    margin: 0;
    padding: 0;
    font-style: italic;
    font-size: var(--s2);
}

#premium-pop-p2 span {
    margin: 0;
    text-decoration: underline;
    color: var(--c9);
}
#premium-pop-t-c {
    font-size: var(--s0);
}
.premium-pop-p {
    text-align: center;
    white-space: normal;
    font-size: var(--s2);
    line-height: 1.4;
    margin: 10px 10px;
}
#premium-pop-lm {
    margin-bottom: -5px;
}
#premium-pop-p1 {
    margin-top: 15px;
    margin-bottom: 15px;
}
#premium-pop-p2 {
    font-size: var(--s3);
}

.ticker-basic3,
.ticker-basic3:focus,
.ticker-basic3:hover,
.ticker-basic3:active {
    padding: 3px 0;
    /* background: #000e54; */
    background: #171C4F;
    /* border-radius: 4px; */
    display: grid;
    grid-template-columns: auto;
    justify-content: center;
    justify-items: center;
    width: min-content;
    border: solid 1px white;
    align-content: center;
    align-items: center;
    cursor: pointer;
}
.ticker-basic-ticker3 {
    font-size: var(--s3);
    color: white;
    font-weight: bold;
    border: none;
    padding: 0 5px;
    margin: 0;
    white-space: normal;
    text-align: center;
    background: transparent;
}
.list-wr3 {
    display: flex;
    align-content: center;
    align-items: stretch;
    column-gap: 0px;
    padding: 8px 20px 10px 20px;
    border: none;
    /* flex-wrap: wrap; */
    overflow-y: hidden;
    overflow-x: auto;
    -ms-overflow-style: none;
    scrollbar-color: var(--c9) transparent !important;
    scrollbar-width: thin !important;
}
.ticker3-first,
.ticker3-first:active,
.ticker3-first:hover,
.ticker3-first:focus {
    background: linear-gradient(0deg, transparent,#600078);
}
.see-full-list3,
.see-full-list3:active,
.see-full-list3:focus,
.see-full-list3:hover {
    color: var(--c9);
    text-decoration: underline;
    padding: 0;
    margin: 0;
    font-size: var(--s3);
    white-space: nowrap;
    margin-right: 10px;
    display: grid;
    align-content: center;
}
.see-full-list3 p {
    margin: 0;
}
.ticker-basic3 .ticker-basic-move {
    text-align: center;
    width: 80px;
}

/* .move-up-icon-btn,
.move-up-icon-btn:active,
.move-up-icon-btn:focus,
.move-up-icon-btn:hover {
    margin: 0;
    padding: 0;
    margin-left: 5px;
} */

.move-up-icon {
    margin: 0;
    padding: 0;
    width: 1rem;
    cursor: pointer;
}

.remove-icon-btn2,
.remove-icon-btn2:active,
.remove-icon-btn2:focus,
.remove-icon-btn2:hover {
    margin: 0;
    padding: 0;
    margin-left: 8px;
    margin-right: 8px;
}

.remove-icon-btn3,
.remove-icon-btn3:active,
.remove-icon-btn3:focus,
.remove-icon-btn3:hover {
    margin: 0;
    padding: 0;
}
.ticker-price {
    text-align: center;
    justify-self: stretch;
    font-size: var(--s2);
    color: white;
    border: none;
    margin: 0;
    padding: 0;
    margin-left: 5px;
}

.youtube-video-container {
    padding-top: 56.25%;
    height: 0px;
    position: relative;
}

.youtube-video {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    border-radius: 6px;
    transform: translateX(-2px);
}